### Constructor

# Clutter Text new_with_text

#### Declaration [src]

    ClutterActor*
    clutter_text_new_with_text (
      const gchar* font_name,
      const gchar* text
    )

#### Description [src]

Creates a new `ClutterText` actor, using `font_name` as the font description; `text` will be used to set the contents of the actor.

This function is equivalent to calling `clutter_text_new()`, `clutter_text_set_font_name()`, and `clutter_text_set_text()`.

#### Parameters

`font_name`

  Type: `const gchar*`

  A string with a font description.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`text`

  Type: `const gchar*`

  The contents of the actor.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ClutterActor`

The newly created `ClutterText` actor.

The data is owned by the called function.